Add support for flake8 4.x

flake 4 dropped support for py35 so this patch drops py35 support from
hacking too

Change-Id: Ia17d6978f4d7db776d986b75c3879cb9dc672e08
Signed-off-by: Stephen Finucane <sfinucan@redhat.com>
changes/76/816676/4
Stephen Finucane 1 year ago committed by Balazs Gibizer
parent b75c7e6b25
commit a6b9aabca5

@ -2,7 +2,6 @@
templates:
- publish-openstack-docs-pti
- openstack-cover-jobs
- openstack-python35-jobs
- openstack-python3-jobs
- release-notes-jobs-python3
check:

@ -1 +1 @@
flake8<3.9.0,>=3.8.0 # MIT
flake8~=4.0.1 # MIT

@ -6,7 +6,7 @@ summary = OpenStack Hacking Guideline Enforcement
description_file =
README.rst
home_page = https://docs.openstack.org/hacking/latest/
python_requires = >=3.5
python_requires = >=3.6
project_urls =
Bug Tracker = https://bugs.launchpad.net/hacking
Reviews = https://review.opendev.org/q/p:openstack/hacking+status:open
@ -22,7 +22,6 @@ classifier =
Operating System :: OS Independent
Programming Language :: Python
Programming Language :: Python :: 3
Programming Language :: Python :: 3.5
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8

Loading…
Cancel
Save